PackageArchitectureMatchesSpecification Class Reference
Inheritance diagram for PackageArchitectureMatchesSpecification:
[legend]
Collaboration diagram for PackageArchitectureMatchesSpecification:
[legend]

## Public Member Functions

| PackageArchitectureMatchesSpecification (std::string const &pattern, bool const isPattern=true)
| matching against architecture specification strings
bool | operator() (char const *const &arch)
bool | operator() (pkgCache::PkgIterator const &Pkg) override
bool | operator() (pkgCache::VerIterator const &Ver) override
bool | operator() (pkgCache::GrpIterator const &) override
Public Member Functions inherited from PackageMatcher
bool | operator() (pkgCache::VerIterator const &Ver) override
bool | operator() (pkgCache::GrpIterator const &) override

## Constructor & Destructor Documentation

## PackageArchitectureMatchesSpecification()

PackageArchitectureMatchesSpecification | ( | std::string const & | pattern,
|  | bool const | isPattern = true )

matching against architecture specification strings

Parameters

  pattern | is the architecture specification string
  isPattern | defines if the given pattern is a architecture specification pattern to match others against or if it is the fixed string and matched against patterns

References PackageArchitectureMatchesSpecification().

Referenced by PackageArchitectureMatchesSpecification().

## Member Function Documentation

## operator()() [1/3]

bool operator() | ( | pkgCache::GrpIterator const & |  | ) |

inline override virtual

Implements Matcher.

## operator()() [2/3]

bool operator() | ( | pkgCache::PkgIterator const & | Pkg | ) |

override virtual

Implements PackageMatcher.

## operator()() [3/3]

bool operator() | ( | pkgCache::VerIterator const & | Ver | ) |

inline override virtual

Implements Matcher.

The documentation for this class was generated from the following files:

- apt-pkg/cachefilter.h
- apt-pkg/cachefilter.cc